package activitypub

import "net/http"

// Used for both unordered and ordered
type collectionOut struct {
	Context    any    `json:"@context,omitempty"`
	Summary    string `json:"summary,omitempty"`
	Type       string `json:"type"`
	Items      []any  `json:"items,omitempty"`
	Id         string `json:"id"`
	TotalItems int    `json:"totalItems"`
	First      string `json:"first"`
}

// Used for both unordered and ordered
type collectionPageOut struct {
	Context  any    `json:"@context,omitempty"`
	Type     string `json:"type"`
	Id       string `json:"id"`
	PartOf   string `json:"partOf"`
	Next     string `json:"next,omitempty"`
	Previous string `json:"prev,omitempty"`
	Items    []any  `json:"items"`
}

// Unordered collections handler
func collections(w http.ResponseWriter, r *http.Request) {}

// Ordered collections handler
func orderedCollections(w http.ResponseWriter, r *http.Request) {}
